export default class Req {
    private config;
    private jqAjaxConfig;
    private codeResolve;
    ajax: any;
    private ajaxList;
    static readonly default: Req;
    constructor(config?: {
        baseUrl: string;
    }, jqAjaxConfig?: Record<string, any>, codeResolve?: {
        codes: number[];
        resolve: ((res: any) => Promise<any>);
    }[]);
    request: (method: "get" | "post", url: string, data?: object, jqAjaxConfig?: Record<string, any>) => Promise<any>;
    sync: {
        get: (url: string, data?: object, onSuccess?: Function, onError?: Function) => Promise<any>;
        post: (url: string, data?: object, onSuccess?: Function, onError?: Function) => Promise<any>;
    };
    get: (url: string, data?: object) => Promise<any>;
    post: (url: string, data?: object) => Promise<any>;
    abort: () => void;
    static sync: {
        get: (url: string, data?: object, onSuccess?: Function, onError?: Function) => Promise<any>;
        post: (url: string, data?: object, onSuccess?: Function, onError?: Function) => Promise<any>;
    };
    static get: (url: string, data?: object) => Promise<any>;
    static post: (url: string, data?: object) => Promise<any>;
}
