// tsc ./src/LayerMsg.ts --declaration & bundle-cli ./src/LayerMsg.ts ./dist/LayerMsg.js  -b -name=LayerMsg -u -udd -udc
declare const layer: any;

export function toast(msg: string, time: number = 1500) {
    layer.msg(msg, {
        time: time
    });
}

export function success(msg: string, time: number = 1500) {
    layer.msg(msg, {
        icon: 1,
        time: time
    });
}

export function error(msg: string, time: number = 1500) {
    layer.msg(msg, {icon: 5, time: time});
}